## artikulate 25.08.2+p24.04+vstable+git20251015.1438

=== debian/changelog ===
artikulate (4:25.08.2+p24.04+vstable+git20251015.1438-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:38:54 +0000

artikulate (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:56:25 +0000
