## artikulate 25.08.2+p24.04+vstable+git20251019.0314

=== debian/changelog ===
artikulate (4:25.08.2+p24.04+vstable+git20251019.0314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:14:58 +0000
