## artikulate 25.12.0+p24.04+vstable+git20251231.0157

=== debian/changelog ===
artikulate (4:25.12.0+p24.04+vstable+git20251231.0157-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:57:18 +0000
