## artikulate 25.12.0+p24.04+vstable+git20260101.0102

=== debian/changelog ===
artikulate (4:25.12.0+p24.04+vstable+git20260101.0102-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:02:06 +0000
