## artikulate 25.12.0+p24.04+vstable+git20260105.0921

=== debian/changelog ===
artikulate (4:25.12.0+p24.04+vstable+git20260105.0921-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:21:44 +0000
