=== debian/changelog ===
artikulate (4:25.12.1-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix runtime dependency to KF6’s kio6.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 02 Mar 2026 00:44:01 +0100

artikulate (4:25.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop patch applied upstream.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Jan 2026 08:14:34 +0100
