## artikulate 25.12.1+p24.04+vstable+git20260106.1443

=== debian/changelog ===
artikulate (4:25.12.1+p24.04+vstable+git20260106.1443-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:43:23 +0000

artikulate (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:19:58 +1000
