## artikulate 25.12.1+p24.04+vstable+git20260130.0823

=== debian/changelog ===
artikulate (4:25.12.1+p24.04+vstable+git20260130.0823-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:24:00 +0000
