## artikulate 25.12.2+p24.04+vstable+git20260216.0225

=== debian/changelog ===
artikulate (4:25.12.2+p24.04+vstable+git20260216.0225-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Feb 2026 02:25:54 +0000

artikulate (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:50:37 +0000
