## artikulate 25.12.2+p24.04+vstable+git20260219.0359

=== debian/changelog ===
artikulate (4:25.12.2+p24.04+vstable+git20260219.0359-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 03:59:24 +0000
